import 'dart:io';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:test_sa/extensions/context_extension.dart';
import 'package:test_sa/extensions/text_extensions.dart';
import 'package:test_sa/new_views/app_style/app_color.dart';

class AAlertDialog extends StatelessWidget {
  final String? title;
  final String? content;
  final String? button1Text;
  final String? button2Text;

  const AAlertDialog({Key? key, this.title, this.content, this.button1Text, this.button2Text}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Platform.isIOS
        ? CupertinoAlertDialog(
            title: title != null ? Text(title!) : null,
            content: content != null ? Text(content!) : null,
            actions: <Widget>[
              TextButton(
                // child: Text(_subtitle.confirm),
                child: Text(button1Text ?? context.translation.confirm),
                onPressed: () {
                  Navigator.of(context).pop(true);
                },
              ),
              TextButton(
                // child: Text(_subtitle.cancel),
                child: Text(button2Text ?? context.translation.cancel),
                onPressed: () {
                  Navigator.of(context).pop(false);
                },
              ),
            ],
          )
        : AlertDialog(
            backgroundColor: AppColor.background(context),
            actionsPadding: const EdgeInsets.only(bottom: 12, left: 24, right: 24),
            title: title != null ? Text(title!) : null,
            content: content != null ? Text(content!) : null,
            // contentTextStyle: AppTextStyles.bodyText.copyWith(color: (context.isDark ? AppColor.neutral30 : AppColor.neutral50)),
            actions: <Widget>[
              TextButton(
                // child: Text(_subtitle.confirm),
                child: Text(button1Text ?? context.translation.confirm, style: AppTextStyles.bodyText.copyWith(color: AppColor.loadingColor(context))),
                onPressed: () {
                  Navigator.of(context).pop(true);
                },
              ),
              TextButton(
                // child: Text(_subtitle.cancel),
                child: Text(button2Text ?? context.translation.cancel, style: AppTextStyles.bodyText.copyWith(color: AppColor.loadingColor(context))),
                onPressed: () {
                  Navigator.of(context).pop(false);
                },
              ),
            ],
          );
  }
}
